#TODO: Add Colombia's calendar

%define name ganttproject
%define version 2.0.2
%define release 2mer
%define install_path /usr/share/%name
%define comment "GanttProject is a tool for creating a project schedule by means of Gantt chart and resource load chart."
%define comment_es "GanttProject es una herramienta para manejar un proyecto usando diagramas de Gantt y de manejo de recursos."

Name: ganttproject
Version: %version
Release: alt0.2
Packager: Denis Medvedev <nbr@altlinux.ru> 
Source: %name-%version.zip
Patch1: colombia_calendar.patch.bz2

Summary: %comment
Summary(es):	%comment_es
License: GPL
Group: Office
Url: http://www.ganttproject.org/

BuildArch: noarch
BuildRequires: unzip
#Requires:	x11
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
GanttProject is a tool for creating a project schedule by means of Gantt chart and resource load chart.
With GanttProject you can break down your project into a tree of tasks and assign human resources that have to work on each task. You can also establish dependencies between tasks, like "this task can't start until this one is finished". GanttProject renders your project using two charts: Gantt chart for tasks and resource load chart for resources. You may print your charts, generate PDF and HTML reports, exchange data with Microsoft(R) Project(TM) and spreadsheet applications.

%description -l es
GanttProject es una herramienta para manejar un proyecto usando diagramas de Gantt y de manejo de recursos.
Con GanttProject usted puede dividir un proyecto en un rbol de tareas y asignar recursos humanos que deben trabajar en cada una de esas tareas. Tambin puede establecer dependencias entre diferentes tareas, como por ejemplo "Esta tarea no puede empezar hasta que esta otra haya sido completada". Usted puede imprimir sus diagramas, generar reportes PDF y HTML, intercambiar informacin con Microsoft(R) Project(TM) y hojas de clculo.

%prep
%setup -q
%patch1 -p0 -b .colombia_calendar

%build
%install
install -d %buildroot%install_path
install -d %buildroot%_bindir
mv * %buildroot%install_path/

echo -e '#!/bin/sh\12cd %install_path ' > %buildroot%_bindir/%name
echo -en './%name.sh $@\12' >> %buildroot%_bindir/%name

#Create the desktop entry
mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name= GanttProject
Comment=%comment
Comment[es]=%comment_es
Exec=%_bindir/%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Office;Development;ProjectManagement;X-MandrivaLinux-Office-TasksManagement;
EOF

#Create the mime-type for GanttProject
mkdir -p %buildroot%_datadir/mimelnk/application
cat > %buildroot%_datadir/mimelnk/application/x-%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
MimeType=application/x-ganttproject
Comment=GanttProject File
Comment[es]=Archivo de GanttProject
Icon=%name
Type=MimeType
Patterns=*.gan;
X-KDE-AutoEmbed=false
[Property::X-KDE-NativeExtension]
Type=QString
Value=.gan
EOF

#Associate the mime-type with GanttProject
mkdir -p %buildroot%_datadir/application-registry
cat > %buildroot%_datadir/application-registry/%name.applications << EOF
ganttproject
        command=ganttproject
        name=GanttProject Project Managment Tool
        can_open_multiple_files=true
        expects_uris=non-file
        requires_terminal=false
        supported_uri_schemes=file,http,ftp
        mime_types=application/x-ganttproject
EOF

#Copy the icon
mkdir -p %buildroot%_datadir/icons/hicolor/32x32/apps
install %buildroot%install_path/plugins/net.sourceforge.ganttproject_2.0.0/data/resources/icons/ganttproject.png %buildroot%_datadir/icons/hicolor/32x32/apps/%name.png

#Create %_libdir/menu for PCLinuxOS, if not then the menu entry isn't created.
#Possibly happens the same thing with Mdr 2006, not sure.
install -d %buildroot%_menudir

#Update menus
%post
%update_menus
if [ -x %_bindir/update-mime-database ]; then %_bindir/update-mime-database %_datadir/mime > /dev/null ;fi

%postun
%clean_menus
if [ -x %_bindir/update-mime-database ]; then %_bindir/update-mime-database %_datadir/mime > /dev/null ;fi

%clean
#Install files
%files
%defattr(644,root,root,755)
%_desktopdir/*
%_datadir/application-registry/*
%_datadir/mimelnk/application/*
%_datadir/icons/hicolor/32x32/apps/*
%attr(755,root,root) %_bindir/%name
%attr(755,root,root) %install_path/%name.sh
%install_path

%changelog
* Sat Feb 24 2007 Denis Medvedev <nbr@altlinux.ru> 2.0.2-alt0.2
- Added full source, after discovery that sources are missing.
 Sources were in ganttproject.cvs.sourceforge.net repository

* Tue Dec 12 2006 Denis Medvedev <nbr@altlinux.ru> 2.0.2-alt0.1
- ALT packaging

* Mon Aug 21 2006 Juan Luis Baptiste <jbaptiste@merlinux.org> 2.0.2-2mer
- Added creation of %_libdir/menu/ganttproject file so menus work in PCLinuxOS.

* Fri Aug 11 2006 Juan Luis Baptiste <jbaptiste@merlinux.org> 2.0.2-1mer
- Updated to 2.0.2.

* Thu Aug 10 2006 Juan Luis Baptiste <jbaptiste@merlinux.org> 2.0.1-1mer
- Initial version.
- Added patch to include Holydays calendar of Colombia for year 2006.

